<?php

/*********************************************************************************
 
 * SugarCRM is a customer relationship management program developed by
 
 * SugarCRM, Inc. Copyright (C) 2004 - 2007 SugarCRM Inc.
 
 * 
 
 * This program is free software; you can redistribute it and/or modify it under
 
 * the terms of the GNU General Public License version 3 as published by the
 
 * Free Software Foundation with the addition of the following permission added
 
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 
 * 
 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 
 * details.
 
 * 
 
 * You should have received a copy of the GNU General Public License along with
 
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 
 * 02110-1301 USA.
 
 * 
 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 
 * 
 
 * The interactive user interfaces in modified source and object code versions
 
 * of this program must display Appropriate Legal Notices, as required under
 
 * Section 5 of the GNU General Public License version 3.
 
 * 
 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 
 * these Appropriate Legal Notices must retain the display of the "Powered by
 
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 
 * technical reasons, the Appropriate Legal Notices must display the words
 
 * "Powered by SugarCRM".
 
 * *******************************************************************************/
global $app_list_strings;

$viewdefs['EcmInvoiceOuts']['DetailView'] = array(

	'templateMeta' => array(

		'form' => array(

			'buttons' => array(
				'CANCEL_DOC',

				array(
					'customCode' => '{if $CAN_EDIT == true} {$editButton}{/if}'
				),
				array(
					'customCode' => '<input title="{$APP.LBL_DUPLICATE_BUTTON_TITLE}" accessKey="{$APP.LBL_DUPLICATE_BUTTON_KEY}" class="button" onclick="this.form.return_module.value=\'EcmInvoiceOuts\'; this.form.return_action.value=\'DetailView\'; this.form.isDuplicate.value=true; this.form.action.value=\'EditView\'; this.form.return_id.value=\'{$id}\';" type="submit" name="Duplicate" value="{$APP.LBL_DUPLICATE_BUTTON_LABEL}" id="duplicate_button">'
				),
				array(
					'customCode' => "{include_php file='include/ECM/EcmCreatePdfButton.php'}",
				),
				array(
					'customCode' => " {include_php file='include/ECM/EcmSendPdfButton/EcmSendPdfButtonController.php}"
				),
				array(
					'customCode' => '&nbsp;&nbsp;'
				),
				array(
					'customCode' => '{if $CREATE_COR == true} <input name="create_correct" id="create_correct" title="{$MOD.LBL_CORRECT_TITLE}" class="button" onclick="window.location = \'index.php?module=EcmInvoiceOuts&offset=1&return_module=EcmInvoiceOuts&action=EditView&return_action=index&record={$fields.id.value}&isCorrect=true\';" type="button" value="{$MOD.LBL_CORRECT}">{/if}'
				),
				array(
					'customCode' => '<input title="" accessKey="" class="button" onclick="window.open(\'index.php?module=EcmSales&action=EditView&ecminvoiceout_id={$id}\',\'_blank\'); return;" type="button" name="Create_ZS" value="Utwórz ZS" id="duplicate_button">'
				),
				array(
					'customCode' => '{if $CREATE_KP == true} <input name="create_correct" id="create_correct" title="{$MOD.LBL_CORRECT_TITLE}" class="button" onclick="window.location = \'index.php?module=EcmNewKpkws&action=EditView&return_module=EcmNewKpkws&return_action=DetailView&type=0&parentTab=Kasa&parent_doc_id={$fields.id.value}&parent_doc_type=0\';" type="button" value="Utwórz KP">{/if}'
				),
				array(
					'customCode' => '{if $EDI == true}<input name="edi" id="edi" class="button" onclick="window.open(\'index.php?module=EcmInvoiceOuts&record={$fields.id.value}&action=getEDI&to_pdf=1\');" type="button" value="EDI - wyślij fakturę">{/if}',
				),
			),

			'hidden' => array(
				'<input type="hidden" name="vats_summary" id="vats_summary" value=\'{$fields.vats_summary.value}\'>',
				'<input type="hidden" id="total_netto" value=\'{$fields.total_netto.value}\'>',
				'<input type="hidden" id="total_brutto" value=\'{$fields.total_brutto.value}\'>',
				'<input type="hidden" id="discount" value=\'{$fields.discount.value}\'>',
				'<input type="hidden" id="no_tax" value=\'{$fields.no_tax.value}\'>'
			)
		),

		'maxColumns' => '2',

		'widths' => array(

			array(
				'label' => '10',
				'field' => '30'
			),

			array(
				'label' => '10',
				'field' => '30'
			)
		),

		'includes' => array(
			array(
				'file' => 'include/JSON.js'
			),
			array(
				'file' => 'modules/EcmInvoiceOuts/javascript/EcmInvoiceOutsDetail.js'
			),
			array(
				'file' => 'modules/EcmInvoiceOuts/javascript/bimit_table8.js'
			),
			array(
				'file' => 'modules/EcmInvoiceOuts/javascript/columndefs-detail.js'
			)
		)
	),

	'panels' => array(

		'LBL_DETAILS_TAB' => array(

			array(

				'document_no',

				'assigned_user_name'
			),
			array(
				array(
					'name' => 'parent_name',
					'tabIndex' => '1'
				),
				'category'
			),
			array(
				array(
					'name' => 'register_date',
					'tabIndex' => '1',
					'type' => 'datetime',
					'displayParams' => array(
						'showFormats' => true
					)
				),
				array(
					'name' => 'stock_name',
					'label' => 'LBL_STOCK_NAME'
				)
			),
			array(
				array(
					'name' => 'sell_date',
					'tabIndex' => '1',
					'type' => 'datetime',
					'displayParams' => array(
						'showFormats' => true
					)
				),
				array(
					'name' => 'type',
					'tabIndex' => '1'
				)
			),
			array(
				array(
					'name' => 'order_no',
					'tabIndex' => '1'
				)
			),
			array(
				array(
					'name' => 'zs_no',
					'label' => 'Dokument ZS',
					'customCode' => '{$zs_no}'
				),
				array(
					'name' => 'wz_no',
					'label' => 'Dokumenty WZ',
					'customCode' => '{$wz_no}'
				)
			),
			array()
			// array (
			// 'name' => 'currency_id',
			// 'label' => 'LBL_CURRENCY'
			// )
			,
			array(
				array(
					'name' => 'to_informations',
					'allCols' => true,
					'hideLabel' => true,
					'customCode' => '<div class="tabForm" style="border-top:none;width:100%;height:1px;padding:0px;align:center;"></div><h4>{$MOD.LBL_TO_PAYMENTS}</h4>'
				)
			),
			array(
				array(
					'name' => 'total_brutto',
					'label' => 'LBL_TO_PAID'
				),
				'payment_date'
			),
			array(
				'prepaid',
				'payment_date_days'
			),
			array(
				'prepaid_nr',
				'discount'
			),
			array(
				'paid_val',
				'bankaccount'
			),
			array(
				'payment_method_paid'
			),
			array(
				array(
					'name' => 'paid_fetf',
					'label' => 'LBL_LEFT',
					'customCode' => '<p id="paid_left">{$PAID_LEFT}</p>'
				)
			),
			array(
				'payment_method'
			),
			array(

				array(

					'name' => 'to_informations',
					'allCols' => true,

					'hideLabel' => true,

					'customCode' => '<br><b>{$MOD.LBL_TO_INFORMATIONS}</b>'
				)
			),

			array(
				array(
					'name' => 'parent_name_copy',
					'customCode' => '{$fields.parent_name.value}'
				),
				array(
					'name' => 'pdf_type',
					'label' => 'LBL_PDF_TYPE'
				)
			),
			array(
				'parent_nip',
				array(
					'name' => 'currency_id',
					'label' => 'LBL_CURRENCY'
				)
			),
			array(
				'parent_address_street',
				'currency_value_nbp'
			),
			array(
				array(
					'name' => 'parent_address_city',
					'tabIndex' => 't',
					'customCode' => '{$fields.parent_address_postalcode.value}&nbsp;&nbsp;{$fields.parent_address_city.value}'
				),
				array(
					'name' => 'currency_table',
					'label' => 'LBL_CURRENCY_TABLE'
				)
			),
			array(
				'parent_address_country',
				'ecmlanguage',
			),
			array(
				'parent_iln'
			),
			array(
				'pdf_text'
			),
			array(
				array(
					'name' => 'to_informations',
					'allCols' => true,
					'hideLabel' => true,
					'customCode' => '<div class="tabForm" style="border-top:none;width:100%;height:1px;padding:0px;align:center;"></div><h4>{$MOD.LBL_PARENT_SHIPPING_ADDRESS}</h4>'
				)
			),
			array(
				'parent_shipping_address_name'
			),
			array(
				'parent_shipping_nip'
			),
			array(
				'parent_shipping_address_street'
			),
			array(
				array(
					'name' => 'parent_shipping_address_city',
					'customCode' => '{$fields.parent_shipping_address_postalcode.value} {$fields.parent_shipping_address_city.value}'
				)
			),
			array(
				'parent_shipping_address_country'
			),
			array(
				'parent_shipping_iln'
			),
			// platnik start
			array(
				array(
					'name' => 'to_informations',
					'allCols' => true,
					'hideLabel' => true,
					'customCode' => '<div class="tabForm" style="border-top:none;width:100%;height:1px;padding:0px;align:center;"></div><h4>{$MOD.LBL_PARENT_PAYER_ADDRESS}</h4>'
				)
			),
			array(
				'parent_payer_address_name'
			),
			array(
				array(
					'name' => 'parent_payer_nip',
					'tabIndex' => '1'
				)
			),
			array(
				'parent_payer_address_street'
			),
			array(
				array(
					'name' => 'parent_payer_address_city',
					'tabIndex' => '1',
					'customCode' => '<input maxlength="8" type="text" name="parent_payer_address_postalcode" id="parent_payer_address_postalcode" value="{$fields.parent_payer_address_postalcode.value}" style="vertical-align:top;width:80px;" />&nbsp;&nbsp;<input type="text" name="parent_payer_address_city" id="parent_payer_address_city" value="{$fields.parent_payer_address_city.value}" style="vertical-align:top;width:150px;" />'
				)
			),
			array(
				'parent_payer_address_country'
			),
			array(
				array(
					'name' => 'parent_payer_iln',
					'tabIndex' => '1'
				)
			),
			// platnik end
			array(
				array(

					'name' => 'to_informations',
					'allCols' => true,

					'hideLabel' => true,

					'customCode' => '<br>'
				)
			),
			array(
				array(
					'name' => 'date_modified',
					'label' => 'LBL_DATE_MODIFIED',
					'customCode' => '{$fields.date_modified.value} {$APP.LBL_BY} {$MODIFIED_BY_NAME}'
				),
				array(
					'name' => 'date_entered',
					'customCode' => '{$fields.date_entered.value} {$APP.LBL_BY} {$CREATED_BY_NAME}'
				)
			)
		),

		'LBL_ITEMS_TAB' => array(

			array(

				array(
					'name' => 'items_list_panel',
					'allCols' => true,

					'hideLabel' => true,

					'customCode' => '<div id="itemsTable"></div>'
				)
			)
		)
	)
);
